com.fasterxml.jackson.dataformat.xml.deser

## Class XmlStringDeserializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonDeserializer<T>
  - - com.fasterxml.jackson.databind.deser.std.StdDeserializer<T>
    - - com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer<String>
      - - com.fasterxml.jackson.dataformat.xml.deser.XmlStringDeserializer

All Implemented Interfaces:
  com.fasterxml.jackson.databind.deser.NullValueProvider, Serializable

    public class XmlStringDeserializer
    extends com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer<String>

Custom variant used instead of "plain" `StringDeserializer` to handle couple of edge cases that XML parser exposes.

NOTE: mostly copy-pasted from standard `StringDeserializer`

Since:
  2.9.4
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

`com.fasterxml.jackson.databind.JsonDeserializer.None`

### Field Summary

### Fields inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

`_valueClass, F_MASK_ACCEPT_ARRAYS, F_MASK_INT_COERCIONS`

### Constructor Summary

Constructors
Constructor and Description
`XmlStringDeserializer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `deserialize(com.fasterxml.jackson.core.JsonParser p, com.fasterxml.jackson.databind.DeserializationContext ctxt)`
`String` `deserializeWithType(com.fasterxml.jackson.core.JsonParser p, com.fasterxml.jackson.databind.DeserializationContext ctxt, com.fasterxml.jackson.databind.jsontype.TypeDeserializer typeDeserializer)`
`Object` `getEmptyValue(com.fasterxml.jackson.databind.DeserializationContext ctxt)`
`boolean` `isCachable()`

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer

`deserialize, getEmptyAccessPattern, getNullAccessPattern, supportsUpdate`

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

`_byteOverflow, _coercedTypeDesc, _coerceEmptyString, _coerceIntegral, _coerceNullToken, _coerceTextualNull, _deserializeFromArray, _deserializeFromEmpty, _deserializeWrappedValue, _failDoubleToIntCoercion, _findNullProvider, _hasTextualNull, _intOverflow, _isEmptyOrTextualNull, _isIntNumber, _isNaN, _isNegInf, _isPosInf, _neitherNull, _nonNullNumber, _parseBooleanFromInt, _parseBooleanPrimitive, _parseBytePrimitive, _parseDate, _parseDate, _parseDateFromArray, _parseDoublePrimitive, _parseDoublePrimitive, _parseFloatPrimitive, _parseFloatPrimitive, _parseIntPrimitive, _parseIntPrimitive, _parseLongPrimitive, _parseLongPrimitive, _parseShortPrimitive, _parseString, _reportFailedNullCoerce, _shortOverflow, _verifyEndArrayForSingle, _verifyNullForPrimitive, _verifyNullForPrimitiveCoercion, _verifyNullForScalarCoercion, _verifyNumberForScalarCoercion, _verifyStringForScalarCoercion, findContentNullProvider, findContentNullStyle, findConvertingContentDeserializer, findDeserializer, findFormatFeature, findFormatOverrides, findValueNullProvider, getValueClass, getValueType, handledType, handleMissingEndArrayForSingle, handleUnknownProperty, isDefaultDeserializer, isDefaultKeyDeserializer, parseDouble`

### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

`findBackReference, getDelegatee, getEmptyValue, getKnownPropertyNames, getNullValue, getNullValue, getObjectIdReader, replaceDelegatee, unwrappingDeserializer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XmlStringDeserializer

    public XmlStringDeserializer()

### Method Detail

#### isCachable

    public boolean isCachable()

Overrides:
  `isCachable` in class `com.fasterxml.jackson.databind.JsonDeserializer<String>`

#### getEmptyValue

    public Object getEmptyValue(com.fasterxml.jackson.databind.DeserializationContext ctxt)
                         throws com.fasterxml.jackson.databind.JsonMappingException

Overrides:
  `getEmptyValue` in class `com.fasterxml.jackson.databind.JsonDeserializer<String>`
Throws:
  `com.fasterxml.jackson.databind.JsonMappingException`

#### deserialize

    public String deserialize(com.fasterxml.jackson.core.JsonParser p,
                              com.fasterxml.jackson.databind.DeserializationContext ctxt)
                       throws IOException

Specified by:
  `deserialize` in class `com.fasterxml.jackson.databind.JsonDeserializer<String>`
Throws:
  `IOException`

#### deserializeWithType

    public String deserializeWithType(com.fasterxml.jackson.core.JsonParser p,
                                      com.fasterxml.jackson.databind.DeserializationContext ctxt,
                                      com.fasterxml.jackson.databind.jsontype.TypeDeserializer typeDeserializer)
                               throws IOException

Overrides:
  `deserializeWithType` in class `com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer<String>`
Throws:
  `IOException`